Bug 102388 - [CSS Regions] @region rules inside media queries are ignored
Summary: [CSS Regions] @region rules inside media queries are ignored
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Zoltan Horvath
URL:
Keywords: AdobeTracked
Depends on:
Blocks: 57312
  Show dependency treegraph
 
Reported: 2012-11-15 07:13 PST by Mihai Balan
Modified: 2013-01-21 01:26 PST (History)
13 users (show)

See Also:


Attachments
HTML file highlighting the problem (1.45 KB, text/html)
2012-11-15 07:13 PST, Mihai Balan
no flags Details
proposed patch (7.38 KB, patch)
2012-11-28 10:10 PST, Zoltan Horvath
buildbot: commit-queue-
Details | Formatted Diff | Diff
proposed patch (7.43 KB, patch)
2012-11-28 14:21 PST, Zoltan Horvath
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mihai Balan 2012-11-15 07:13:03 PST
Created attachment 174434 [details]
HTML file highlighting the problem

If an @region rule is used inside a media query, it is ignored. Other rules/declarations in the media query are properly applied.

Reproduction steps:

1. Open attached file in WebKit nightly

Expected result
You should see a green text with a green outline (the green color of the text is set via @region inside a media query, the green color of the outline is set via a normal CSS declaration in the media query).

Actual result
A red text is displayed in the green outline.
Comment 1 Zoltan Horvath 2012-11-28 10:10:14 PST
Created attachment 176509 [details]
proposed patch
Comment 2 Build Bot 2012-11-28 12:24:16 PST
Comment on attachment 176509 [details]
proposed patch

Attachment 176509 [details] did not pass mac-ews (mac):
Output: http://queues.webkit.org/results/15029458

New failing tests:
fast/css/nested-rule-parent-sheet.html
css2.1/t040105-import-01-b.html
printing/page-rule-css-text.html
fast/css/font-face-in-media-rule.html
printing/page-rule-selection.html
Comment 3 Zoltan Horvath 2012-11-28 14:21:01 PST
Created attachment 176579 [details]
proposed patch
Comment 4 Ryosuke Niwa 2013-01-03 19:10:31 PST
I’m confused. There’s a commit: http://trac.webkit.org/changeset/138755 but this bug has no indication that Dave reviewed the patch.
Comment 5 Ryosuke Niwa 2013-01-03 19:11:00 PST
Anyhow, the test added by http://trac.webkit.org/changeset/138755 is crashing on Mac:
http://build.webkit.org/results/Apple%20MountainLion%20Debug%20WK1%20(Tests)/r138769%20(4286)/results.html

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   com.apple.WebCore             	0x000000010f55615b WebCore::RenderFlowThread::removeRenderBoxRegionInfo(WebCore::RenderBox*) + 459 (RenderFlowThread.cpp:449)
1   com.apple.WebCore             	0x000000010f555f63 WebCore::RenderFlowThread::removeFlowChildInfo(WebCore::RenderObject*) + 67 (RenderFlowThread.cpp:90)
2   com.apple.WebCore             	0x000000010f61b0b2 WebCore::RenderObject::removeFromRenderFlowThreadRecursive(WebCore::RenderFlowThread*) + 130 (RenderObject.cpp:2496)
3   com.apple.WebCore             	0x000000010f61b093 WebCore::RenderObject::removeFromRenderFlowThreadRecursive(WebCore::RenderFlowThread*) + 99 (RenderObject.cpp:2493)
4   com.apple.WebCore             	0x000000010f61b093 WebCore::RenderObject::removeFromRenderFlowThreadRecursive(WebCore::RenderFlowThread*) + 99 (RenderObject.cpp:2493)
5   com.apple.WebCore             	0x000000010f61b093 WebCore::RenderObject::removeFromRenderFlowThreadRecursive(WebCore::RenderFlowThread*) + 99 (RenderObject.cpp:2493)
6   com.apple.WebCore             	0x000000010f61b028 WebCore::RenderObject::removeFromRenderFlowThread() + 120 (RenderObject.cpp:2488)
7   com.apple.WebCore             	0x000000010f61af52 WebCore::RenderObject::willBeRemovedFromTree() + 354 (RenderObject.cpp:2470)
8   com.apple.WebCore             	0x000000010f61f3c5 WebCore::RenderObjectChildList::removeChildNode(WebCore::RenderObject*, WebCore::RenderObject*, bool) + 389 (RenderObjectChildList.cpp:92)
9   com.apple.WebCore             	0x000000010f60be54 WebCore::RenderObject::removeChild(WebCore::RenderObject*) + 164 (RenderObject.cpp:343)
10  com.apple.WebCore             	0x000000010f4653bb WebCore::RenderBlock::removeChild(WebCore::RenderObject*) + 1019 (RenderBlock.cpp:1195)
11  com.apple.WebCore             	0x000000010f56a966 WebCore::RenderObject::remove() + 70 (RenderObject.h:936)
12  com.apple.WebCore             	0x000000010f56a259 WebCore::RenderFullScreen::wrapRenderer(WebCore::RenderObject*, WebCore::RenderObject*, WebCore::Document*) + 425 (RenderFullScreen.cpp:132)
13  com.apple.WebCore             	0x000000010e600496 WebCore::Document::webkitWillEnterFullScreenForElement(WebCore::Element*) + 646 (Document.cpp:5212)
14  com.apple.WebKit              	0x000000010dc77ca6 -[WebKitFullScreenListener webkitWillEnterFullScreen] + 118 (WebKitFullScreenListener.mm:49)
15  DumpRenderTree                	0x000000010c888477 -[UIDelegate enterFullScreenWithListener:] + 39 (UIDelegate.mm:261)
16  com.apple.Foundation          	0x00007fff86ffbdb5 __NSFireDelayedPerform + 358
17  com.apple.CoreFoundation      	0x00007fff8a050da4 __CFRUNLOOP_IS_CALLING_OUT_TO_A_TIMER_CALLBACK_FUNCTION__ + 20
18  com.apple.CoreFoundation      	0x00007fff8a0508bd __CFRunLoopDoTimer + 557
19  com.apple.CoreFoundation      	0x00007fff8a036099 __CFRunLoopRun + 1513
20  com.apple.CoreFoundation      	0x00007fff8a0356b2 CFRunLoopRunSpecific + 290
21  com.apple.Foundation          	0x00007fff8702389e -[NSRunLoop(NSRunLoop) runMode:beforeDate:] + 268
22  DumpRenderTree                	0x000000010c84b839 runTest(std::__1::basic_string<char, std::__1::char_traits<char>, std::__1::allocator<char> > const&) + 5017 (DumpRenderTree.mm:1381)
23  DumpRenderTree                	0x000000010c84a42a runTestingServerLoop() + 282 (DumpRenderTree.mm:846)
24  DumpRenderTree                	0x000000010c849cf7 dumpRenderTree(int, char const**) + 391 (DumpRenderTree.mm:893)
25  DumpRenderTree                	0x000000010c84c029 main + 105 (DumpRenderTree.mm:931)
26  libdyld.dylib                 	0x00007fff89ebe7e1 start + 1
Comment 7 Ryosuke Niwa 2013-01-03 19:13:56 PST
(In reply to comment #4)
> I’m confused. There’s a commit: http://trac.webkit.org/changeset/138755 but this bug has no indication that Dave reviewed the patch.

It turned out that the changeset has a wrong bug number. The bug associated with the said changeset is https://bugs.webkit.org/show_bug.cgi?id=104144.
Comment 8 Zoltan Horvath 2013-01-04 11:26:28 PST
Comment on attachment 176579 [details]
proposed patch

The changelog has an extra line, so I set it to cq-.
Comment 9 Dave Hyatt 2013-01-04 11:29:34 PST
Comment on attachment 176579 [details]
proposed patch

r=me
Comment 10 Zoltan Horvath 2013-01-04 14:03:37 PST
Comment on attachment 176579 [details]
proposed patch

Removing flags. Landed in http://trac.webkit.org/changeset/138854